> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List keywords

> Fetches all the keywords.



## OpenAPI

````yaml get /apps/{appId}/moderation/keywords
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/moderation/keywords:
    get:
      tags:
        - Moderation
      summary: List keywords
      description: Fetches all the keywords.
      operationId: list-rule-keywords
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      responses:
        '200':
          description: List Keywords
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  - _id: 66857afdb4bf371ddfba853b
                    id: profane-word-list-1
                    appId: 253179cf5f665257
                    name: profane word list
                    description: Profane word list
                    category: word
                    isCSV: true
                    searchTerms:
                      - '"a"'
                      - '"b"'
                      - '"c"'
                    createdAt: 1720023805
                    updatedAt: 1720023805
                    revisionId: 253179cf5f665257_profane-word-list-1_1
                    active: true
                    __v: 0
                  - _id: 666c01eccfe97336757fb611
                    id: profanity-list
                    name: Profane Words
                    category: word
                    isCSV: false
                    searchTerms:
                      - fuck
                      - nigger
                      - fuck
                      - nigger
                      - wanker
                      - cunt
                      - damn
                      - shit
                      - fag
                      - shithead
                      - jizz
                      - hellbitch
                      - retard
                      - cocksucker
                      - cock
                      - kill
                      - cunt
                      - kike
                      - twat
                      - bastard
                      - death
                      - asshole
                      - wop
                      - scumbag
                      - penis
                      - murder
                      - dick
                      - gook
                      - vagina
                      - rape
                      - bastard
                      - spic
                      - spunk
                      - beat
                    createdAt: 1718354412
                    updatedAt: 1718354412
                    revisionId: 253157108b5294c4_profanity-list_1
                    active: true
                    __v: 0
                    default: true
                    appId: default
                meta:
                  current:
                    limit: 10
                    count: 2
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    webhookSchema:
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        enabled:
          type: boolean
      type: object

````